package request

type TaobaoUnideskRtaUserAdvertiserGetRequest struct {
	AdvertiserTopQueryDTO *AdvertiserTopQueryDTO `json:"advertiser_top_query_dto" required:"true" `
}

type AdvertiserTopQueryDTO struct {
	/*
	   广告主ids    */
	Ids *[]int64 `json:"ids,omitempty" required:"false" `
	/*
	   第几页    */
	PageNo *int64 `json:"page_no,omitempty" required:"false" `
	/*
	   每页多少条    */
	PageSize *int64 `json:"page_size,omitempty" required:"false" `
	/*
	   活跃账户周期 1：1日内活跃 3: 3日内活跃 7：7日内活跃 15：15日内活跃 -1： 不限活跃度    */
	ActivePeriod *int64 `json:"active_period,omitempty" required:"false" `
}

func (s *TaobaoUnideskRtaUserAdvertiserGetRequest) setIds(v []int64) *TaobaoUnideskRtaUserAdvertiserGetRequest {
	s.AdvertiserTopQueryDTO.Ids = &v
	return s
}

func (s *TaobaoUnideskRtaUserAdvertiserGetRequest) SetPageNo(v int64) *TaobaoUnideskRtaUserAdvertiserGetRequest {
	s.AdvertiserTopQueryDTO.PageNo = &v
	return s
}

func (s *TaobaoUnideskRtaUserAdvertiserGetRequest) SetPageSize(v int64) *TaobaoUnideskRtaUserAdvertiserGetRequest {
	s.AdvertiserTopQueryDTO.PageSize = &v
	return s
}

func (s *TaobaoUnideskRtaUserAdvertiserGetRequest) SetActivePeriod(v int64) *TaobaoUnideskRtaUserAdvertiserGetRequest {
	s.AdvertiserTopQueryDTO.ActivePeriod = &v
	return s
}

func (req *TaobaoUnideskRtaUserAdvertiserGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.AdvertiserTopQueryDTO.Ids != nil {
		paramMap["ids"] = *req.AdvertiserTopQueryDTO.Ids
	}
	if req.AdvertiserTopQueryDTO.ActivePeriod != nil {
		paramMap["active_period"] = *req.AdvertiserTopQueryDTO.ActivePeriod
	}
	if req.AdvertiserTopQueryDTO.PageNo != nil {
		paramMap["page_no"] = *req.AdvertiserTopQueryDTO.PageNo
	}
	if req.AdvertiserTopQueryDTO.PageSize != nil {
		paramMap["page_size"] = *req.AdvertiserTopQueryDTO.PageSize
	}
	return paramMap
}

func (req *TaobaoUnideskRtaUserAdvertiserGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
